apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  annotations:
    alm-examples: '[]'
    certified: "false"
    categories: "Integration & Delivery, Networking, Streaming & Messaging"
    description: Skupper Operator provides the ability to create a Virtual Application Network
    containerImage: quay.io/skupper/skupper-operator-bundle:v0.6.0
    createdAt: 2021-04-14T08:00:00Z
    capabilities: Seamless Upgrades
    repository: https://github.com/skupperproject/skupper-operator
    support: Skupper Project

    operators.operatorframework.io/builder: operator-sdk-v1.4.0+git
    operators.operatorframework.io/project_layout: go.kubebuilder.io/v3
  labels:
    operatorframework.io/os.linux: supported
    operatorframework.io/arch.amd64: supported
  name: skupper-operator.v0.6.0
  namespace: placeholder
spec:
  apiservicedefinitions: {}
  description: |
    Skupper site operator.


    The Skupper site controller operator helps you managing your site by watching for a
    ConfigMap named skupper-site. To get started with it you can simply define this ConfigMap
    in the desired namespace and the skupper operator will take care of defining your site accordingly.

    See an example below:


          apiVersion: v1
          kind: ConfigMap
          metadata:
            name: skupper-site
          data:
            router-mode: interior

  displayName: Skupper
  icon:
  - base64data: [encoded data, 10008 characters]
    mediatype: image/svg+xml
  install:
    spec:
      clusterPermissions:
      - rules:
        - apiGroups:
          - apps
          resources:
          - deployments
          - statefulsets
          - daemonsets
          verbs:
          - get
          - list
          - watch
          - create
          - update
          - patch
          - delete
        - apiGroups:
          - route.openshift.io
          resources:
          - routes
          verbs:
          - get
          - list
          - watch
          - create
          - update
          - patch
          - delete
        - apiGroups:
          - ""
          resources:
          - pods
          - pods/exec
          - secrets
          - configmaps
          - serviceaccounts
          - services
          verbs:
          - get
          - list
          - watch
          - create
          - update
          - patch
          - delete
        - apiGroups:
          - rbac.authorization.k8s.io
          resources:
          - rolebindings
          - roles
          verbs:
          - get
          - list
          - watch
          - create
          - delete
        serviceAccountName: skupper-site-controller
      permissions:
      - rules:
        - apiGroups:
          - apps
          resources:
          - deployments
          - statefulsets
          - daemonsets
          verbs:
          - get
          - list
          - watch
          - create
          - update
          - patch
          - delete
        - apiGroups:
          - route.openshift.io
          resources:
          - routes
          verbs:
          - get
          - list
          - watch
          - create
          - update
          - patch
          - delete
        - apiGroups:
          - ""
          resources:
          - pods
          - pods/exec
          - secrets
          - configmaps
          - serviceaccounts
          - services
          verbs:
          - get
          - list
          - watch
          - create
          - update
          - patch
          - delete
        - apiGroups:
          - rbac.authorization.k8s.io
          resources:
          - rolebindings
          - roles
          verbs:
          - get
          - list
          - watch
          - create
          - delete
        serviceAccountName: skupper-site-controller
      deployments:
      - name: skupper-site-controller
        spec:
          replicas: 1
          selector:
            matchLabels:
              control-plane: controller-manager
          strategy: {}
          template:
            metadata:
              labels:
                control-plane: controller-manager
            spec:
              containers:
              - command:
                - /app/site-controller
                image: quay.io/skupper/site-controller@sha256:b8626e3beda540fd37a6ed523b76b879e1cfc492824223187d2d903c4763afa7
                name: manager
                securityContext:
                  allowPrivilegeEscalation: false
                env:
                - name: WATCH_NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.annotations['olm.targetNamespaces']
                - name: QDROUTERD_IMAGE
                  value: quay.io/interconnectedcloud/qdrouterd@sha256:d5a8006292f0182c9a81511260c38438bc883e56059d7c2802748118a1663505
                - name: SKUPPER_SERVICE_CONTROLLER_IMAGE
                  value: quay.io/skupper/service-controller@sha256:984f9891dd924d8469da7455a872987ff0d6346a6917ccb453ecc2d05837fa5e
              securityContext:
                runAsNonRoot: false
              serviceAccountName: skupper-site-controller
              terminationGracePeriodSeconds: 10
    strategy: deployment
  installModes:
  - supported: true
    type: OwnNamespace
  - supported: false
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: true
    type: AllNamespaces
  keywords:
  - skupper
  - service
  - mesh
  - van
  links:
  - name: Skupper Operator
    url: https://github.com/skupperproject/skupper-operator
  maintainers:
  - email: skupper@googlegroups.com
    name: Skupper Community
  maturity: alpha
  provider:
    name: Skupper Project
    url: https://skupper.io
  version: 0.6.0
